<template>
  <div class="flex flex-col justify-center">
    Register
    <form @submit.prevent="onSubmit">
      <div class="flex-row justify-between">
        Username:
        <input class="border-solid border-2 border-black" v-model="username">
      </div>
      <div class="flex-row justify-between">
        Password:
        <input type="password" class="border-solid border-2 border-black" v-model="password">
      </div>
      <input type="submit" value="Register">
    </form>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
export default {
  data() {
    return {
      username: '',
      password: '',
    }
  },
  methods: {
    async onSubmit() {
      const { username, password } = this.$data
      await this.registerUser({ username, password })

      this.$data.username = ''
      this.$data.password = ''

      this.$router.push('/')
    },
    ...mapActions(['registerUser'])
  }

}
</script>

<style>

</style>
